
QGIS Application - Bug report #10703

After adding a column the attribute defined for labels is unselected.

2014-06-24 10:38 AM - Xavier Mamano

Status: Closed

Priority: Severe/Regression

Assignee: Martin Dobias

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19096

Description

new description:

The problem is: when there is a label established, by adding a new column the value of layer property "Label this layer with" is lost.

The field associated with the label is blank after adding a field in the layer and apply changes of properties.

It seems that other label properties are maintained (so color buffer...)

Reproduced using a SHP layer in version 2.3.0-25 revision commit:d62a498 (It works on 2.2.0)

Associated revisions

Revision ae9b3063 - 2014-06-27 08:27 AM - Martin Dobias

Fix #10703 (selection reset after added/removed attribute)

History

#1 - 2014-06-24 10:54 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to worksforme

I'm not sure when 2.3.0-25 was built and if I get right the issue (eventually try to explain again), but this seems like this #10451

that is already fixed in master (testes both on Linux and Windows/Osgeo4w).

Please reopen if necessary.

#2 - 2014-06-24 12:36 PM - Xavier Mamano

- Status changed from Closed to Reopened

... eventually try to explain again

The problem is: when there is a label established, by adding a new column the value of layer property "Label this layer with" is lost.
that is already fixed in master

I think not.

I guess:

2.3.0-25 revision d62a498 corresponds to this commit:

https://issues.qgis.org/projects/quantum-gis/repository/revisions/d62a49810e6117d3b3815c9c2367f7ac745f054b

because match the number d62a498 and date 2014-06-23 00:31.

If so, the change that you mention from #10451 is older:

https://issues.qgis.org/projects/quantum-gis/repository/revisions/9019805b446661d41db270c5a86a41ae6474b51e

and it's included in 2.3.0-25 revision d62a498.

And the ticket #10451 says:

create a new column, eventually fill it with values. Then try use this column for labels or symbology, it does not show in the dropdowns.

and this works fine using 2.3.0-25 revision d62a498.

#3 - 2014-06-24 02:08 PM - Jürgen Fischer

Giovanni Manghi wrote:

I'm not sure when 2.3.0-25 was built and if I get right the issue (eventually try to explain again), but this seems like this #10451

He's probably talking about yesterday's weekly snapshot...

#4 - 2014-06-24 02:09 PM - Jürgen Fischer

- Category set to Labelling

#5 - 2014-06-25 02:19 AM - Giovanni Manghi

- Subject changed from The label is lost adding a field to a layer. to After adding a column the attribute defined for labels is unselected.

- Priority changed from Normal to Severe/Regression

- Resolution deleted (worksforme)

The problem is: when there is a label established, by adding a new column the value of layer property "Label this layer with" is lost.

ok now is clear and definitely a regression.

#6 - 2014-06-26 10:55 PM - Martin Dobias

- Assignee set to Martin Dobias

#7 - 2014-06-26 11:28 PM - Martin Dobias
- Status changed from Reopened to Closed

Fixed in changeset commit:"ae9b30632ba02332fce9888e0a0e75bae7c5a263".

2025-12-15 3/3


